## synergy 1.6.2

=== CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2012 Synergy Si Ltd.
# Copyright (C) 2009 Nick Bolton
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Version number for Synergy
set(VERSION_MAJOR 1)
set(VERSION_MINOR 6)
set(VERSION_REV 2)
set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_REV}")

cmake_minimum_required(VERSION 2.6)

# CMake complains if we don't have this.
if (COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif()

# We're escaping quotes in the Windows version number, because
# for some reason CMake won't do it at config version 2.4.7
# It seems that this restores the newer behaviour where define
# args are not auto-escaped.
if (COMMAND cmake_policy)
	cmake_policy(SET CMP0005 NEW)
endif()

# First, declare project (important for prerequisite checks).
project(synergy C CXX)

# put binaries in a different dir to make them easier to find.
set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

# for unix, put debug files in a separate bin "debug" dir.
# release bin files should stay in the root of the bin dir.
if (CMAKE_GENERATOR STREQUAL "Unix Makefiles")
	if (CMAKE_BUILD_TYPE STREQUAL Debug)
		set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin/debug)
		set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib/debug)
	endif()
endif()

# Set some easy to type variables.
set(root_dir ${CMAKE_SOURCE_DIR})
set(cmake_dir ${root_dir}/res)
set(bin_dir ${root_dir}/bin)
set(doc_dir ${root_dir}/doc)
set(doc_dir ${root_dir}/doc)

# Declare libs, so we can use list in linker later. There's probably 
# a more elegant way of doing this; with SCons, when you check for the
# lib, it is automatically passed to the linker.
set(libs)

# only include headers as "source" if not unix makefiles,
# which is useful when using an IDE.
if (${CMAKE_GENERATOR} STREQUAL "Unix Makefiles")
	set(SYNERGY_ADD_HEADERS FALSE)
else()
	set(SYNERGY_ADD_HEADERS TRUE)
endif()

# Depending on the platform, pass in the required defines.
if (UNIX)

	# warnings as errors:
	# we have a problem with people checking in code with warnings.
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")

	# For config.h, detect the libraries, functions, etc.
	include(CheckIncludeFiles)
	include(CheckLibraryExists)
	include(CheckFunctionExists)
	include(CheckTypeSize)
	include(CheckIncludeFileCXX)
	include(CheckSymbolExists)
	include(CheckCSourceCompiles)

	check_include_file_cxx(istream HAVE_ISTREAM)
	check_include_file_cxx(ostream HAVE_OSTREAM)
	check_include_file_cxx(sstream HAVE_SSTREAM)

	check_include_files(inttypes.h HAVE_INTTYPES_H)
	check_include_files(locale.h HAVE_LOCALE_H)
	check_include_files(memory.h HAVE_MEMORY_H)
	check_include_files(stdlib.h HAVE_STDLIB_H)
	check_include_files(strings.h HAVE_STRINGS_H)
	check_include_files(string.h HAVE_STRING_H)
	check_include_files(sys/select.h HAVE_SYS_SELECT_H)
	check_include_files(sys/socket.h HAVE_SYS_SOCKET_H)
	check_include_files(sys/stat.h HAVE_SYS_STAT_H)
	check_include_files(sys/time.h HAVE_SYS_TIME_H)
	check_include_files(sys/utsname.h HAVE_SYS_UTSNAME_H)
	check_include_files(unistd.h HAVE_UNISTD_H)
	check_include_files(wchar.h HAVE_WCHAR_H)

	check_function_exists(getpwuid_r HAVE_GETPWUID_R)
	check_function_exists(gmtime_r HAVE_GMTIME_R)
	check_function_exists(nanosleep HAVE_NANOSLEEP)
	check_function_exists(poll HAVE_POLL)
	check_function_exists(sigwait HAVE_POSIX_SIGWAIT)
	check_function_exists(strftime HAVE_STRFTIME)
	check_function_exists(vsnprintf HAVE_VSNPRINTF)
	check_function_exists(inet_aton HAVE_INET_ATON)
	
	# For some reason, the check_function_exists macro doesn't detect
	# the inet_aton on some pure Unix platforms (e.g. sunos5). So we
	# need to do a more detailed check and also include some extra libs.
	if (NOT HAVE_INET_ATON)

		set(CMAKE_REQUIRED_LIBRARIES nsl)
		check_c_source_compiles(
			"#include <arpa/inet.h>\n int main() { inet_aton(0, 0); }" 
			HAVE_INET_ATON_ADV)
		set(CMAKE_REQUIRED_LIBRARIES)

		if (HAVE_INET_ATON_ADV)
			
			# Override the previous fail.
			set(HAVE_INET_ATON 1)

			# Assume that both nsl and socket will be needed,
			# it seems safe to add socket on the back of nsl,
			# since socket only ever needed when nsl is needed.
			list(APPEND libs nsl socket)

		endif()

	endif()

	check_type_size(char SIZEOF_CHAR)
	check_type_size(int SIZEOF_INT)
	check_type_size(long SIZEOF_LONG)
	check_type_size(short SIZEOF_SHORT)

	# pthread is used on both Linux and Mac
	check_library_exists("pthread" pthread_create "" HAVE_PTHREAD)
	if (HAVE_PTHREAD)
		list(APPEND libs pthread)
	else()
		message(FATAL_ERROR "Missing library: pthread")
	endif()

	# curl is used on both Linux and Mac
	find_package(CURL)
	if (CURL_FOUND)
		list(APPEND libs curl)
	else()
		message(FATAL_ERROR "Missing library: curl")
	endif()
	
	if (APPLE)
		message(STATUS "OSX_TARGET_MAJOR=${OSX_TARGET_MAJOR}")
		message(STATUS "OSX_TARGET_MINOR=${OSX_TARGET_MINOR}")

		if (NOT (OSX_TARGET_MAJOR EQUAL 10))
			message(FATAL_ERROR "Mac OS X target must be 10.x")
		endif ()

		if (OSX_TARGET_MINOR LESS 6)
			# <= 10.5: 32-bit Intel and PowerPC
			set(CMAKE_OSX_ARCHITECTURES "ppc;i386"
				CACHE STRING "" FORCE)
		else()
			# >= 10.6: Intel only
			set(CMAKE_OSX_ARCHITECTURES "i386;x86_64"
				CACHE STRING "" FORCE)
		endif()
		
		set(CMAKE_CXX_FLAGS "--sysroot ${CMAKE_OSX_SYSROOT} ${CMAKE_CXX_FLAGS} -DGTEST_USE_OWN_TR1_TUPLE=1")

		find_library(lib_ScreenSaver ScreenSaver)
		find_library(lib_IOKit IOKit)
		find_library(lib_ApplicationServices ApplicationServices)
		find_library(lib_Foundation Foundation)
		find_library(lib_Carbon Carbon)

		list(APPEND libs
			${lib_ScreenSaver}
			${lib_IOKit}
			${lib_ApplicationServices}
			${lib_Foundation}
			${lib_Carbon}
		)

	else() # not-apple

		# add include dir for bsd (posix uses /usr/include/)
		set(CMAKE_INCLUDE_PATH "${CMAKE_INCLUDE_PATH}:/usr/local/include")

		set(XKBlib "X11/Xlib.h;X11/XKBlib.h")
		check_symbol_exists("XRRNotifyEvent" "${XKBlib};X11/extensions/Xrandr.h" HAVE_X11_EXTENSIONS_XRANDR_H)

		check_include_files("${XKBlib};X11/extensions/dpms.h" HAVE_X11_EXTENSIONS_DPMS_H)
		check_include_files("X11/extensions/Xinerama.h" HAVE_X11_EXTENSIONS_XINERAMA_H)
		check_include_files("${XKBlib};X11/extensions/XKBstr.h" HAVE_X11_EXTENSIONS_XKBSTR_H)
		check_include_files("X11/extensions/XKB.h" HAVE_XKB_EXTENSION)
		check_include_files("X11/extensions/XTest.h" HAVE_X11_EXTENSIONS_XTEST_H)
		check_include_files("${XKBlib}" HAVE_X11_XKBLIB_H)
		check_include_files("X11/extensions/XInput2.h" HAVE_XI2)

		if (HAVE_X11_EXTENSIONS_DPMS_H)
			# Assume that function prototypes declared, when include exists.
			set(HAVE_DPMS_PROTOTYPES 1)
		endif()

		if (NOT HAVE_X11_XKBLIB_H)
			message(FATAL_ERROR "Missing header: " ${XKBlib})
		endif()

		check_library_exists("SM;ICE" IceConnectionNumber "" HAVE_ICE)
		check_library_exists("Xext;X11" DPMSQueryExtension "" HAVE_Xext)
		check_library_exists("Xtst;Xext;X11" XTestQueryExtension "" HAVE_Xtst)
		check_library_exists("Xinerama" XineramaQueryExtension "" HAVE_Xinerama)
		check_library_exists("Xi" XISelectEvents "" HAVE_Xi)
		check_library_exists("Xrandr" XRRQueryExtension "" HAVE_Xrandr)

		if (HAVE_ICE)

			# Assume we have SM if we have ICE.
			set(HAVE_SM 1)
			list(APPEND libs SM ICE)

		endif()

		if (HAVE_Xtst)

			# Xtxt depends on X11.
			set(HAVE_X11)
			list(APPEND libs Xtst X11)

		else()

			message(FATAL_ERROR "Missing library: Xtst")

		endif()

		if (HAVE_Xext)
			list(APPEND libs Xext)
		endif()

		if (HAVE_Xinerama)
			list(APPEND libs Xinerama)
		else (HAVE_Xinerama)
			if (HAVE_X11_EXTENSIONS_XINERAMA_H)
				set(HAVE_X11_EXTENSIONS_XINERAMA_H 0)
				message(WARNING "Old Xinerama implementation detected, disabled")
			endif()
		endif()

		if (HAVE_Xrandr)
			list(APPEND libs Xrandr)
		endif()
		
		# this was outside of the linux scope,
		# not sure why, moving it back inside.
		if(HAVE_Xi)
			list(APPEND libs Xi)
		endif()

	endif()

	# For config.h, set some static values; it may be a good idea to make
	# these values dynamic for non-standard UNIX compilers.
	set(ACCEPT_TYPE_ARG3 socklen_t)
	set(HAVE_CXX_BOOL 1)
	set(HAVE_CXX_CASTS 1)
	set(HAVE_CXX_EXCEPTIONS 1)
	set(HAVE_CXX_MUTABLE 1)
	set(HAVE_CXX_STDLIB 1)
	set(HAVE_PTHREAD_SIGNAL 1)
	set(SELECT_TYPE_ARG1 int)
	set(SELECT_TYPE_ARG234 "(fd_set *)")
	set(SELECT_TYPE_ARG5 "(struct timeval *)")
	set(STDC_HEADERS 1)
	set(TIME_WITH_SYS_TIME 1)
	set(HAVE_SOCKLEN_T 1)

	# For config.h, save the results based on a template (config.h.in).
	configure_file(res/config.h.in ${root_dir}/config.h)

	add_definitions(-DSYSAPI_UNIX=1 -DHAVE_CONFIG_H)

	if (APPLE)
		add_definitions(-DWINAPI_CARBON=1 -D_THREAD_SAFE)
	else (APPLE)
		add_definitions(-DWINAPI_XWINDOWS=1)
	endif()

else() # not-unix

	list(APPEND libs Wtsapi32 Userenv Wininet comsuppw Shlwapi)

	add_definitions(
		/DWIN32
		/D_WINDOWS
		/D_CRT_SECURE_NO_WARNINGS
		/DVERSION=\"${VERSION}\"
	)
	
	if (MSVC_VERSION EQUAL 1600)
		set(SLN_FILENAME "${CMAKE_CURRENT_BINARY_DIR}/synergy.sln")
		if (EXISTS "${SLN_FILENAME}" )
			file(APPEND "${SLN_FILENAME}" "\n# This should be regenerated!\n")
		endif()
	endif()

endif()

add_subdirectory(src)
add_subdirectory(ext)

if (WIN32)
	# TODO:	consider using /analyze to uncover potential bugs in the source code.

	# /WX - warnings as errors (we have a problem with people checking in code with warnings).
	# /FR - generate browse information (ncb files) useful for using IDE.
	# /MP - use multi cores to compile.
	# /D _BIND_TO_CURRENT_VCLIBS_VERSION - TODO: explain why.
	# /D _SECURE_SCL=1 - find bugs with iterators.
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /WX /FR /MP /D _BIND_TO_CURRENT_VCLIBS_VERSION=1 /D _SECURE_SCL=1")
	
	# /MD - use multi-core libraries.
	# /O2 - get the fastest code.
	# /Ob2 - expand inline functions (auto-inlining).
	set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /MD /O2 /Ob2")

endif()

if (${CMAKE_SYSTEM_NAME} MATCHES "IRIX")
	set_target_properties(synergys PROPERTIES LINK_FLAGS "-all -woff 33 -woff 84 -woff 15")
	set_target_properties(synergyc PROPERTIES LINK_FLAGS "-all -woff 33 -woff 84 -woff 15")
	set_target_properties(synergyd PROPERTIES LINK_FLAGS "-all -woff 33 -woff 84 -woff 15")
endif()

if (CONF_CPACK)
	message(FATAL_ERROR "CPack support has been removed.")
endif()

if (CONF_DOXYGEN)

	set(VERSION, "${VERSION}")

	# For doxygen.cfg, save the results based on a template (doxygen.cfg.in).
	configure_file(${cmake_dir}/doxygen.cfg.in ${doc_dir}/doxygen.cfg)

endif()

=== ext/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2013 Synergy Si Ltd.
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(cryptopp_dir cryptopp562)

# only compile the crypto++ files we need.
set(cryptopp_src
	${cryptopp_dir}/3way.cpp
	${cryptopp_dir}/algparam.cpp
	${cryptopp_dir}/asn.cpp
	${cryptopp_dir}/authenc.cpp
	${cryptopp_dir}/basecode.cpp
	${cryptopp_dir}/cpu.cpp
	${cryptopp_dir}/cryptlib.cpp
	${cryptopp_dir}/des.cpp
	${cryptopp_dir}/dessp.cpp
	${cryptopp_dir}/dll.cpp
	${cryptopp_dir}/ec2n.cpp
	${cryptopp_dir}/ecp.cpp
	${cryptopp_dir}/filters.cpp
	${cryptopp_dir}/fips140.cpp
	${cryptopp_dir}/gcm.cpp
	${cryptopp_dir}/gf2n.cpp
	${cryptopp_dir}/gfpcrypt.cpp
	${cryptopp_dir}/hex.cpp
	${cryptopp_dir}/hmac.cpp
	${cryptopp_dir}/hrtimer.cpp
	${cryptopp_dir}/integer.cpp
	${cryptopp_dir}/iterhash.cpp
	${cryptopp_dir}/misc.cpp
	${cryptopp_dir}/modes.cpp
	${cryptopp_dir}/mqueue.cpp
	${cryptopp_dir}/nbtheory.cpp
	${cryptopp_dir}/oaep.cpp
	${cryptopp_dir}/osrng.cpp
	${cryptopp_dir}/pubkey.cpp
	${cryptopp_dir}/queue.cpp
	${cryptopp_dir}/randpool.cpp
	${cryptopp_dir}/rdtables.cpp
	${cryptopp_dir}/rijndael.cpp
	${cryptopp_dir}/rng.cpp
	${cryptopp_dir}/sha.cpp
)

# if 64-bit windows, compile asm file.
if (CMAKE_CL_64)
	list(APPEND cryptopp_src ${cryptopp_dir}/x64dll.asm ${cryptopp_dir}/x64masm.asm)
	
	add_custom_command(OUTPUT $(IntDir)x64dll.obj
		COMMAND ml64.exe /c /nologo /Fo$(IntDir)x64dll.obj /Zi 
		"${CMAKE_CURRENT_SOURCE_DIR}/${cryptopp_dir}/x64dll.asm"
		MAIN_DEPENDENCY ${cryptopp_dir}/x64dll.asm
		VERBATIM)
		
	add_custom_command(OUTPUT $(IntDir)x64masm.obj
		COMMAND ml64.exe /c /nologo /Fo$(IntDir)x64masm.obj /Zi 
		"${CMAKE_CURRENT_SOURCE_DIR}/${cryptopp_dir}/x64masm.asm"
		MAIN_DEPENDENCY ${cryptopp_dir}/x64masm.asm
		VERBATIM)
endif()

if (UNIX)
	add_definitions(-DCRYPTOPP_DISABLE_ASM)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -O2 -pipe")
	
	if (APPLE)
		if (DARWIN_VERSION GREATER 10)
			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-tautological-compare")
		endif()
	else()
		set(CRYPTOPP_ARCH "native")
		if ("${CMAKE_SYSTEM_PROCESSOR}" MATCHES "^arm.*")
			set(CRYPTOPP_ARCH "armv6zk")
		endif()
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=${CRYPTOPP_ARCH}")
	endif()
endif()

add_library(cryptopp STATIC ${cryptopp_src})

if (UNIX)
	# ignore warnings in crypto++
	set_target_properties(cryptopp PROPERTIES COMPILE_FLAGS "-w")
endif()

=== src/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2012 Synergy Si Ltd.
# Copyright (C) 2011 Nick Bolton
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(lib)
add_subdirectory(cmd)
add_subdirectory(plugin)
add_subdirectory(micro)

if (NOT ${CMAKE_SYSTEM_NAME} MATCHES "IRIX")
	add_subdirectory(test)
endif()

=== src/cmd/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2012 Synergy Si Ltd.
# Copyright (C) 2011 Nick Bolton
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(synergyc)
add_subdirectory(synergys)
add_subdirectory(synergyd)
add_subdirectory(usynergy)
add_subdirectory(syntool)

if (WIN32)
  add_subdirectory(synergyp)
endif()

if (APPLE)
	if (OSX_TARGET_MINOR GREATER 8)
		add_subdirectory(synmacph)
	endif()
endif()

=== src/lib/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2012 Synergy Si Ltd.
# Copyright (C) 2009 Nick Bolton
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(arch)
add_subdirectory(base)
add_subdirectory(client)
add_subdirectory(common)
add_subdirectory(io)
add_subdirectory(ipc)
add_subdirectory(mt)
add_subdirectory(net)
add_subdirectory(platform)
add_subdirectory(server)
add_subdirectory(synergy)

if (WIN32)
	add_subdirectory(synwinhk)
endif()

=== src/micro/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2012 Synergy Si Ltd.
# Copyright (C) 2012 Nick Bolton
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

file(GLOB headers "*.h")
file(GLOB sources "*.c")

if (SYNERGY_ADD_HEADERS)
	list(APPEND sources ${headers})
endif()

add_library(micro STATIC ${sources})

=== src/plugin/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2012 Synergy Si Ltd.
# Copyright (C) 2012 Nick Bolton
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

if (WIN32)
	add_subdirectory(winmmjoy)
endif()

=== src/test/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2012 Synergy Si Ltd.
# Copyright (C) 2011 Nick Bolton
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include_directories(
	../../ext/gtest-1.6.0
	../../ext/gtest-1.6.0/include
	../../ext/gmock-1.6.0
	../../ext/gmock-1.6.0/include)
	
add_library(gtest STATIC ../../ext/gtest-1.6.0/src/gtest-all.cc)
add_library(gmock STATIC ../../ext/gmock-1.6.0/src/gmock-all.cc)

if (UNIX)
	# ignore warnings in gtest and gmock
	set_target_properties(gtest PROPERTIES COMPILE_FLAGS "-w")
	set_target_properties(gmock PROPERTIES COMPILE_FLAGS "-w")
endif()

add_subdirectory(integtests)
add_subdirectory(unittests)

=== src/cmd/synergyc/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2012 Synergy Si Ltd.
# Copyright (C) 2009 Nick Bolton
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(sources
	synergyc.cpp
)

if (WIN32)
	file(GLOB arch_headers "MSWindows*.h")
	file(GLOB arch_sources "MSWindows*.cpp")
	list(APPEND sources
		resource.h
		synergyc.ico
		synergyc.rc
		tb_error.ico
		tb_idle.ico
		tb_run.ico
		tb_wait.ico
	)
elseif (APPLE)
	file(GLOB arch_headers "OSX*.h")
	file(GLOB arch_sources "OSX*.cpp")
elseif (UNIX)
	file(GLOB arch_headers "XWindows*.h")
	file(GLOB arch_sources "XWindows*.cpp")
endif()

list(APPEND sources ${arch_sources})
list(APPEND headers ${arch_headers})

if (SYNERGY_ADD_HEADERS)
	list(APPEND sources ${headers})
endif()

include_directories(
	../
	../../lib/
)

if (UNIX)
	include_directories(
		../../..
	)
endif()

add_executable(synergyc ${sources})
target_link_libraries(synergyc
	arch base client common io mt net ipc platform server synergy cryptopp ${libs})

if (CONF_CPACK)
	install(TARGETS
		synergyc
		COMPONENT core
		DESTINATION bin)
endif()

=== src/cmd/synergyd/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2012 Synergy Si Ltd.
# Copyright (C) 2012 Nick Bolton
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

file(GLOB headers "*.h")
file(GLOB sources "*.cpp")

include_directories(
	../
	../../lib/
)

if (UNIX)
	include_directories(
		../../..
	)
endif()

if (WIN32)
  add_executable(synergyd WIN32 ${sources})
else()
  add_executable(synergyd ${sources})
endif()

target_link_libraries(synergyd
	arch base common io ipc mt net platform synergy cryptopp ${libs})

if (CONF_CPACK)
	install(TARGETS
		synergyd
		COMPONENT core
		DESTINATION bin)
endif()

=== src/cmd/synergyp/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2012 Synergy Si Ltd.
# Copyright (C) 2009 Nick Bolton
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(sources
	synergyp.cpp
)

if (WIN32)
	file(GLOB arch_headers "MSWindows*.h")
	file(GLOB arch_sources "MSWindows*.cpp")
	list(APPEND sources
		resource.h
		synergyp.ico
		synergyp.rc
		tb_error.ico
		tb_idle.ico
		tb_run.ico
		tb_wait.ico
	)
elseif (APPLE)
	file(GLOB arch_headers "OSX*.h")
	file(GLOB arch_sources "OSX*.cpp")
elseif (UNIX)
	file(GLOB arch_headers "XWindows*.h")
	file(GLOB arch_sources "XWindows*.cpp")
endif()

list(APPEND sources ${arch_sources})
list(APPEND headers ${arch_headers})

if (SYNERGY_ADD_HEADERS)
	list(APPEND sources ${headers})
endif()

include_directories(
	../
	../../lib/
)

if (UNIX)
	include_directories(
		../../..
	)
endif()

if (WIN32)
	add_executable(synergyp WIN32 ${sources})
else()
	add_executable(synergyp ${sources})
endif()	
	
target_link_libraries(synergyp
	arch base client common io mt net ipc platform server synergy client cryptopp ${libs})

if (CONF_CPACK)
	install(TARGETS
		synergyp
		COMPONENT core
		DESTINATION bin)
endif()

=== src/cmd/synergys/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2012 Synergy Si Ltd.
# Copyright (C) 2009 Nick Bolton
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file COPYING that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(sources
	synergys.cpp
)

if (WIN32)
	file(GLOB arch_headers "MSWindows*.h")
	file(GLOB arch_sources "MSWindows*.cpp")
	list(APPEND sources
		resource.h
		synergys.ico
		synergys.rc
		tb_error.ico
		tb_idle.ico
		tb_run.ico
		tb_wait.ico
	)
elseif (APPLE)
	file(GLOB arch_headers "OSX*.h")
	file(GLOB arch_sources "OSX*.cpp")
elseif (UNIX)
	file(GLOB arch_headers "XWindows*.h")
	file(GLOB arch_sources "XWindows*.cpp")
endif()

list(APPEND sources ${arch_sources})
list(APPEND headers ${arch_headers})

if (SYNERGY_ADD_HEADERS)
	list(APPEND sources ${headers})
endif()

include_directories(
	../
	../../lib/
)

if (UNIX)
	include_directories(
		../../..
	)
endif()

add_executable(synergys ${sources})
target_link_libraries(synergys
	arch base client common io mt net ipc platform server synergy cryptopp ${libs})

if (CONF_CPACK)
	install(TARGETS
		synergys
		COMPONENT core
		DESTINATION bin)
endif()

=== debian/changelog ===
synergy (1.6.2-0ubuntu2) wily; urgency=medium

  * No-change rebuild against libcrypto++9v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Aug 2015 05:43:02 +0000

synergy (1.6.2-0ubuntu1) vivid; urgency=medium

  * New upstream version.
    - Refresh patches.
  * Update Standards-Version to 3.9.6.
  * d/p/dont-fail-on-warnings.patch: Disable -Werror, causes FTBFS.
  * d/p/system-gmock.patch: Use system gmock and gtest.
  * d/p/pthread.patch: Add patch from Ubuntu, fixes FTBFS.
  * d/watch: Update for Github releases.
  * d/compat, d/control: Bump debhelper compat to 9.
  * d/control, d/rules: Add synergy-dbg debug package.
  * d/control: Wrap and sort build-depends.
  * d/control: Build-depend on libavahi-compat-libdnssd-dev and google-mock.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 04 Dec 2014 20:52:25 -0500

synergy (1.4.16-1ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    + Link with pthread to fix FTBFS: undefined reference to `pthread_create'

 -- Graham Inggs <graham@nerve.org.za>  Tue, 16 Dec 2014 16:21:17 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# Set build flags.  For wheezy+1, we will switch to using debhelper 9.
# For now, preserve compatibility with squeeze.  Includes CMake workaround
# (which, again, should not be necessary after wheezy).
ifeq (mips,$(shell dpkg --print-architecture))
DEB_BUILD_MAINT_OPTIONS = hardening=+all,-relro
else ifeq (mipsel,$(shell dpkg --print-architecture))
DEB_BUILD_MAINT_OPTIONS = hardening=+all,-relro
else
DEB_BUILD_MAINT_OPTIONS = hardening=+all
endif
export DEB_BUILD_MAINT_OPTIONS
DPKG_EXPORT_BUILDFLAGS=1
-include /usr/share/dpkg/buildflags.mk
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Synergy needs libcrypto++.  We can attempt to use packaged libcrypto++,
# or the embedded zip file of the libcrypto++ source.  To use the zip,
# remove the Build-Depends on libcrypto++-dev, add one for unzip, and
# uncomment the following line.
#USE_CRYPTOPP_DIR = tools/cryptopp

# Run the test suite unless explicitly requested not to.
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
TEST_TARGET = test
endif

CFLAGS += -Wall -g
CXXFLAGS += -Wall -g
LDFLAGS += -Wl,-z,defs

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

CXXFLAGS = $(CFLAGS)

builddir:
	mkdir builddir

config.h: CMakeLists.txt builddir $(USE_CRYPTOPP_DIR)
	dh_testdir
	(cd builddir && cmake ..)

src/gui/Makefile:
	(cd src/gui && qmake gui.pro "CONFIG+=release" "QMAKE_CFLAGS_RELEASE+=$(CFLAGS)" "QMAKE_CXXFLAGS_RELEASE+=$(CXXFLAGS)" "QMAKE_LFLAGS_RELEASE+=$(LDFLAGS)" -r)

tools/cryptopp: tools/cryptopp562.zip
	mkdir -p tools/cryptopp
	cd tools/cryptopp && unzip -a ../cryptopp562.zip

# Man page builders.  These are better than the upstream man pages
# in doc.

%.1: debian/%.sgml
	mkdir man-$*-tmp
	cd man-$*-tmp && docbook2man ../$<
	ls man-$*-tmp/*.1 | head -n 1 | (while read f; do mv $$f $@; done)
	rm -rf man-$*-tmp

# Main targets.

bin/unittests: builddir config.h
	dh_testdir
	(cd builddir && $(MAKE) VERBOSE=1)

bin/synergy: builddir src/gui/Makefile
	dh_testdir
	(cd src/gui && $(MAKE))

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: bin/unittests bin/synergy synergy.1 synergys.1 synergyc.1 synergyd.1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	rm -f build-stamp 
	rm -rf builddir bin lib
	rm -f synergy.1 synergys.1 synergyc.1 synergyd.1 config.h

	find . -name \*.pyc -delete

	$(MAKE) -C src/gui distclean || true
	rm -rf src/gui/tmp

	rm -rf tools/cryptopp

	dh_clean 

test: build-stamp
	bin/unittests --gtest_color=no
	# Seems to segfault often, so don't fail
	bin/integtests --gtest_color=no || true

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install $(TEST_TARGET)
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman synergys.1 synergyc.1 synergyd.1 synergy.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_lintian
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
https://github.com/synergy/synergy/releases .*/([\d\.]+)\.tar\.gz

## synergy 1.8.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # synergy -- mouse and keyboard sharing utility
-# Copyright (C) 2012 Synergy Si Ltd.
+# Copyright (C) 2012-2016 Symless Ltd.
 # Copyright (C) 2009 Nick Bolton
 # 
 # This package is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
-# found in the file COPYING that should have accompanied this file.
+# found in the file LICENSE that should have accompanied this file.
 # 
 # This package is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
@@ -16,8 +16,9 @@
 
 # Version number for Synergy
 set(VERSION_MAJOR 1)
-set(VERSION_MINOR 6)
-set(VERSION_REV 2)
+set(VERSION_MINOR 8)
+set(VERSION_REV 7)
+set(VERSION_STAGE stable)
 set(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_REV}")
 
 cmake_minimum_required(VERSION 2.6)
@@ -76,7 +77,11 @@
 
 	# warnings as errors:
 	# we have a problem with people checking in code with warnings.
-	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
+	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror -Wno-unused-local-typedef")
+
+	if (NOT APPLE)
+		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
+	endif()
 
 	# For config.h, detect the libraries, functions, etc.
 	include(CheckIncludeFiles)
@@ -174,7 +179,7 @@
 				CACHE STRING "" FORCE)
 		else()
 			# >= 10.6: Intel only
-			set(CMAKE_OSX_ARCHITECTURES "i386;x86_64"
+			set(CMAKE_OSX_ARCHITECTURES "i386"
 				CACHE STRING "" FORCE)
 		endif()
 		
@@ -200,7 +205,10 @@
 		set(CMAKE_INCLUDE_PATH "${CMAKE_INCLUDE_PATH}:/usr/local/include")
 
 		set(XKBlib "X11/Xlib.h;X11/XKBlib.h")
-		check_symbol_exists("XRRNotifyEvent" "${XKBlib};X11/extensions/Xrandr.h" HAVE_X11_EXTENSIONS_XRANDR_H)
+		set(CMAKE_EXTRA_INCLUDE_FILES "${XKBlib};X11/extensions/Xrandr.h")
+		check_type_size("XRRNotifyEvent" X11_EXTENSIONS_XRANDR_H)
+		set(HAVE_X11_EXTENSIONS_XRANDR_H "${X11_EXTENSIONS_XRANDR_H}")
+		set(CMAKE_EXTRA_INCLUDE_FILES)
 
 		check_include_files("${XKBlib};X11/extensions/dpms.h" HAVE_X11_EXTENSIONS_DPMS_H)
 		check_include_files("X11/extensions/Xinerama.h" HAVE_X11_EXTENSIONS_XINERAMA_H)
@@ -319,7 +327,6 @@
 endif()
 
 add_subdirectory(src)
-add_subdirectory(ext)
 
 if (WIN32)
 	# TODO:	consider using /analyze to uncover potential bugs in the source code.

=== src/lib/arch/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2012-2016 Symless Ltd.
# Copyright (C) 2009 Nick Bolton
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file LICENSE that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

file(GLOB headers "*.h")
file(GLOB sources "*.cpp")

if (SYNERGY_ADD_HEADERS)
	list(APPEND sources ${headers})
endif()

# arch
if (WIN32)
	file(GLOB arch_headers "win32/*.h")
	file(GLOB arch_sources "win32/*.cpp")
elseif (UNIX)
	file(GLOB arch_headers "unix/*.h")
	file(GLOB arch_sources "unix/*.cpp")
endif()

list(APPEND sources ${arch_sources})
list(APPEND headers ${arch_headers})

if (SYNERGY_ADD_HEADERS)
	list(APPEND sources ${headers})
endif()

include_directories(
	../
)

if (UNIX)
	include_directories(
		../../..
	)
endif()

add_library(arch STATIC ${sources})

if (UNIX)
	target_link_libraries(arch dl ${libs})
endif()

=== src/lib/client/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2012-2016 Symless Ltd.
# Copyright (C) 2009 Nick Bolton
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file LICENSE that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

file(GLOB headers "*.h")
file(GLOB sources "*.cpp")

if (SYNERGY_ADD_HEADERS)
	list(APPEND sources ${headers})
endif()

include_directories(
	../
	../../../ext
)

if (UNIX)
	include_directories(
		../../..
	)

endif()

add_library(client STATIC ${sources})

if (UNIX)
	target_link_libraries(client synergy io)
endif()

=== src/lib/server/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2012-2016 Symless Ltd.
# Copyright (C) 2009 Nick Bolton
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file LICENSE that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

file(GLOB headers "*.h")
file(GLOB sources "*.cpp")

if (SYNERGY_ADD_HEADERS)
	list(APPEND sources ${headers})
endif()

include_directories(
	../
	../../../ext
	../../../ext/gtest-1.6.0/include
)

if (UNIX)
	include_directories(
		../../..
	)
endif()

add_library(server STATIC ${sources})

target_link_libraries(server shared)

if (UNIX)
	target_link_libraries(server synergy)
endif()

=== src/lib/synergy/CMakeLists.txt ===
# synergy -- mouse and keyboard sharing utility
# Copyright (C) 2012-2016 Symless Ltd.
# Copyright (C) 2009 Nick Bolton
# 
# This package is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# found in the file LICENSE that should have accompanied this file.
# 
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

file(GLOB headers "*.h")
file(GLOB sources "*.cpp")

# arch
if (WIN32)
	file(GLOB arch_headers "win32/*.h")
	file(GLOB arch_sources "win32/*.cpp")
elseif (UNIX)
	file(GLOB arch_headers "unix/*.h")
	file(GLOB arch_sources "unix/*.cpp")
endif()

list(APPEND sources ${arch_sources})
list(APPEND headers ${arch_headers})

if (SYNERGY_ADD_HEADERS)
	list(APPEND sources ${headers})
endif()

include_directories(
	../
	../../../ext
	../../../ext/gtest-1.6.0/include
)

if (UNIX)
	include_directories(
		../../..
	)
endif()

add_library(synergy STATIC ${sources})

if (UNIX)
	target_link_libraries(synergy arch client ipc net base platform mt server)
endif()

## synergy 1.8.7-stable+dfsg.1

=== debian/changelog ===
synergy (1.8.7-stable+dfsg.1-2) experimental; urgency=medium

  * Correct missing tags in man page sgml source. Fix formatting and an extra
    argument.
  * Added clipboardchunktest.patch to fix FTBFS due to a unit test on big
    endian archs.

 -- Joshua Honeycutt <joshua.honeycutt@gmail.com>  Tue, 14 Feb 2017 22:58:36 -0600

synergy (1.8.7-stable+dfsg.1-1) experimental; urgency=medium

  * New maintainer (Closes: #852081)
  * New upstream version. (Closes: #764390, #818490)
  * Update watchfile to check symless github.
  * Upstream tarball modified to remove non-DFSG files and unused external
    library tarballs.
  * Removed patches: cprotocolutil-writef, system-cryptopp, x11-mouseover. 
  * Added shell script to generate SSL key/certificate files for encryption
    (/usr/share/synergy/gen_ssl_pem.sh).
  * Updated man pages (removed old crypto++ references and command line
    options, added new command line options, formatting).
  * Added documentation to README.Debian on enabling crypto without the gui.
  * Added new_ssl patch to build against newer OpenSSL in Debian.
  * Added enable_pro patch to bypass activation for Pro features.
  * Added syntool binary and manual page.
  * lintian override for possible-gpl-code-linked-with-openssl due to
    upstream exception.
  * Added a debian specific version string to the GUI about dialog.

 -- Joshua Honeycutt <joshua.honeycutt@gmail.com>  Mon, 06 Feb 2017 09:25:39 -0600

=== debian/control ===
Source: synergy
Section: x11
Priority: optional
Maintainer: Joshua Honeycutt <joshua.honeycutt@gmail.com>
Homepage: https://symless.com/synergy/
Vcs-Git: https://github.com/epakai/synergy-debian.git
Vcs-Browser: https://github.com/epakai/synergy-debian
Build-Depends: cmake, debhelper (>=9), docbook, docbook-utils, libavahi-compat-libdnssd-dev, libqt4-dev, libssl-dev, libxinerama-dev, libxrandr-dev, libxtst-dev, libcurl4-gnutls-dev | libcurl-dev, google-mock, libgtest-dev
Standards-Version: 3.9.8

Package: synergy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, openssl
Description: Share mouse, keyboard and clipboard over the network
 Synergy lets you easily share a single mouse and keyboard between
 multiple computers with different operating systems, each with its
 own display, without special hardware.  It's intended for users
 with multiple computers on their desk since each system uses its
 own display.
 .
 Redirecting the mouse and keyboard is as simple as moving the mouse
 off the edge of your screen.  Synergy also merges the clipboards of
 all the systems into one, allowing cut-and-paste between systems.
 Furthermore, it synchronizes screen savers so they all start and stop
 together and, if screen locking is enabled, only one screen requires
 a password to unlock them all.
 .
 Synergy binaries are available as paid downloads at 
 https://symless.com/synergy/ or may be built from source found
 at https://github.com/symless/synergy
